Bug 217983 - missing newline in message
missing newline in message
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 20:49 EST by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.0.5-4.fc7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 13:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2006-11-30 20:49:46 EST
Description of problem:
If 'YES' is not typed in at the initial prompt the program writer "Command
failed." to the console without a trailing newline.  Hence the command prompt
might make the message invisible.

Version-Release number of selected component (if applicable):
cryptsetup-luks-1.0.3-2.1.x86_64

How reproducible:
always

Steps to Reproduce:
1.cryptsetup -c aes-cbc-essiv:sha256 -s 256 luksFormat /dev/sde1
2.type anything but YES
3.
  
Actual results:
"Command failed."

Expected results:
"Command failed.\n"


Additional info:
Comment 1 Till Maas 2007-02-06 17:26:44 EST
This bug is fixed in upstreams version 1.0.4, rawhide still uses 1.0.3. 
Comment 2 Till Maas 2007-06-09 16:02:45 EDT
Ping? The bug is now open for more than 6 months and there was no sign of activity.
Comment 3 Till Maas 2007-07-26 12:40:22 EDT
Rawhide now contains  1.0.5:

http://koji.fedoraproject.org/koji/buildinfo?buildID=8757
Comment 4 Fedora Update System 2007-08-15 15:41:17 EDT
cryptsetup-luks-1.0.5-4.fc7.1 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-08-29 13:29:25 EDT
cryptsetup-luks-1.0.5-4.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.